Bug 1169369 (CVE-2014-9130) - CVE-2014-9130 libyaml: assert failure when processing wrapped strings
Summary: CVE-2014-9130 libyaml: assert failure when processing wrapped strings
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-9130
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1169371 1169372 1169750 1169751 1169801 1171245 1172344 1172345 1172346 1172347 1182257 1182258 1184701 1184702 1184703
Blocks: 1169374
TreeView+ depends on / blocked
 
Reported: 2014-12-01 13:20 UTC by Martin Prpič
Modified: 2019-09-29 13:24 UTC (History)
58 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An assertion failure was found in the way the libyaml library parsed wrapped strings. An attacker able to load specially crafted YAML input into an application using libyaml could cause the application to crash.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:36:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0100 normal SHIPPED_LIVE Moderate: libyaml security update 2015-01-28 22:35:23 UTC
Red Hat Product Errata RHSA-2015:0112 normal SHIPPED_LIVE Moderate: libyaml security update 2015-02-03 00:15:06 UTC
Red Hat Product Errata RHSA-2015:0260 normal SHIPPED_LIVE Moderate: libyaml security update 2015-02-23 17:55:31 UTC

Description Martin Prpič 2014-12-01 13:20:53 UTC
An assertion failure was found in the way the libyaml library parsed wrapped strings. An attacker able to load specially crafted YAML input into an application using libyaml could cause the application to crash.

This issue was reported upstream at [1]; a patch that fixes this issue is available at [2].

[1] https://bitbucket.org/xi/libyaml/issue/10/wrapped-strings-cause-assert-failure
[2] https://github.com/yaml/libyaml/commit/e6aa721cc0e5a48f408c52355559fd36780ba32a

Comment 1 Martin Prpič 2014-12-01 13:22:56 UTC
Created libyaml tracking bugs for this issue:

Affects: fedora-all [bug 1169371]
Affects: epel-all [bug 1169372]

Comment 5 Ján Rusnačko 2014-12-02 11:14:02 UTC
Created perl-YAML-LibYAML tracking bugs for this issue:

Affects: fedora-all [bug 1169750]
Affects: epel-6 [bug 1169751]

Comment 6 Ján Rusnačko 2014-12-02 13:34:00 UTC
Created perl-YAML-LibYAML tracking bugs for this issue:

Affects: epel-7 [bug 1169801]

Comment 10 Fedora Update System 2014-12-12 04:31:51 UTC
perl-YAML-LibYAML-0.54-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-12-13 09:35:20 UTC
perl-YAML-LibYAML-0.54-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-12-13 09:37:43 UTC
libyaml-0.1.6-6.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2014-12-13 09:44:58 UTC
libyaml-0.1.6-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2014-12-13 09:50:52 UTC
perl-YAML-LibYAML-0.54-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2014-12-13 09:51:50 UTC
libyaml-0.1.6-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2014-12-17 19:44:45 UTC
libyaml-0.1.2-8.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2014-12-19 01:00:03 UTC
perl-YAML-LibYAML-0.54-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2014-12-19 01:00:36 UTC
perl-YAML-LibYAML-0.38-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 errata-xmlrpc 2015-01-28 17:35:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2015:0100 https://rhn.redhat.com/errata/RHSA-2015-0100.html

Comment 22 errata-xmlrpc 2015-02-02 19:15:48 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.4 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6

Via RHSA-2015:0112 https://rhn.redhat.com/errata/RHSA-2015-0112.html

Comment 23 errata-xmlrpc 2015-02-23 12:55:56 UTC
This issue has been addressed in the following products:

  OpenStack 5 for RHEL 6
  OpenStack 4 for RHEL 6

Via RHSA-2015:0260 https://rhn.redhat.com/errata/RHSA-2015-0260.html


Note You need to log in before you can comment on or make changes to this bug.